### Method

# Tsparql SparqlConnection deserialize_async

since: 3.4

#### Declaration [src]

    void
    tracker_sparql_connection_deserialize_async (
      TrackerSparqlConnection* connection,
      TrackerDeserializeFlags flags,
      TrackerRdfFormat format,
      const gchar* default_graph,
      GInputStream* stream,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Loads the RDF data contained in `stream` into the given `connection`.

This is an asynchronous operation, `callback` will be invoked when the data has been fully inserted to `connection`.

The RDF data will be inserted in the given `default_graph` if one is provided, or the anonymous graph if `default_graph` is `NULL`. Any RDF data that has a graph specified (e.g. using the `GRAPH` clause in the Trig format) will be inserted in the specified graph instead of `default_graph`.

The `flags` argument is reserved for future expansions, currently `TRACKER_DESERIALIZE_FLAGS_NONE` must be passed.

Available since: 3.4

This method completes asynchronously. Use `tracker_sparql_connection_deserialize_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`flags`

  Type: `TrackerDeserializeFlags`

  Deserialization flags.

`format`

  Type: `TrackerRdfFormat`

  RDF format of data in stream.

`default_graph`

  Type: `const gchar*`

  Default graph that will receive the RDF data.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`stream`

  Type: `GInputStream`

  Input stream with RDF data.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.